// 2x7_seg_MAX7219_displays_Arduino
//
// controls a 8 character 7-segments led display unit with MAX7219 controller
// March 27, 2020
// original author of most stuff: Nicola Bernardelli - 2019-06-22

// public domain
// Floris Wouterlood

   #include "LedControl.h"

   #define DIN 8                           // DIN to pin 8 of Nano 
   #define CLK 9                           // CLK to pin 9 of Nano 
   #define CS 7                            // CS  to pin 7 of Nano 

   LedControl seg71 = LedControl(DIN,CLK,CS);   // constructor for the 2x4 7-segment led display unit


void setup() {

   seg71.shutdown (0,false);                  // wakeup MAX7219
   seg71.setIntensity (0,4);                  // between 0 and 15
   seg71.clearDisplay (0);
   writeArduino (); 
}


void loop() {

}

// subroutine

void writeArduino () {
   seg71.setChar (0,6,'a',false);              // A
   seg71.setRow  (0,5,0x05);                   // r
   seg71.setChar (0,4,'d',false);              // d
   seg71.setRow  (0,3,0x1c);                   // u
   seg71.setRow  (0,2,0x10);                   // i
   seg71.setRow  (0,1,0x15);                   // n
   seg71.setRow  (0,0,0x1D);                   // o
}
